Subject: Re: [PATCH 01/20] git.c: update NO_PARSEOPT markings

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Aug 2022 14:00:09 -0700

SZEDER Gábor <[email-masked]> writes:

> Dunno.  I don't like this NO_PARSEOPT thing, and instead of testing it
> I'm thinking about removing it altogether.

Sorry if this is obvious to the others, but I am confused here.

Lack of NO_PARSEOPT bit is used as a mark to say "this subcommand
takes '--git-completion-helper' option to help listing the options,
so include it in the 'git --list-cmds=parseopt' output", right?  I
do not mind removing an unused or unnecessary bit at all, but what
is your plan of getting rid of the bit?  Will we make sure everybody
supports the "--git-completion-helper" option?